
QGIS Application - Bug report #19601

Geomedia MDB "Open File " -> Vector Data Not working

2018-08-11 07:09 PM - ROCCO ABEL LUCIANO RABILOTTA PISTERS

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:3.2.1 Regression?: No

Operating System: Windows 10 Professional and Mac OS X 10.13Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 27428

Description

Hi,

I am in the process of using legacy data from Geomedia MDB (Access) format (Jet 3 and Jet 4 versions). When I try to open the file with

the Geomedia MDB filter selected, and "Invalid format" error raises in QGIS Desktop (3.2.1). I have files made with Geomedia Versions 4,

5, 6 and 2015, but with 97 access format, and gives the same error each time.

An MDB file sample is appended.

History

#1 - 2018-08-13 12:39 PM - Giovanni Manghi

- Status changed from Open to Feedback

What ogrinfo (from the GDAL/OGR installation made by QGIS) says about this dataset? I guess that says that is not recognized.

See if this #8752-10 or this #12054 helps.

Also: https://www.gdal.org/ogr_formats.html

Geomedia .mdb     Geomedia     No     No     No, needs ODBC library

https://www.gdal.org/drv_geomedia.html

#2 - 2019-02-23 08:37 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.

#3 - 2019-05-16 10:20 AM - Roberto Marzocchi

Jürgen Fischer wrote:

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and
you have more information that clarify the issue.

The problem affect also the LTR version of QGIS

#4 - 2019-05-16 10:25 AM - Roberto Marzocchi

Roberto Marzocchi wrote:

Jürgen Fischer wrote:

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version

and you have more information that clarify the issue.

The problem affect also the LTR version of QGIS

The outout of ogrinfo is:

ERROR 1: Unable to initialize ODBC connection to DSN for DRIVER=Microsoft Access Driver (*.mdb,

*.accdb);DBQ=INFRAESTRUCTURA_INEGI_2015.mdb,

ERROR 1: Unable to initialize ODBC connection to DSN for DRIVER=Microsoft Access Driver (*.mdb,

*.accdb);DBQ=INFRAESTRUCTURA_INEGI_2015.mdb,

FAILURE:

Unable to open datasource `INFRAESTRUCTURA_INEGI_2015.mdb' with the following drivers.

  -> JP2ECW

  -> FileGDB

  -> OCI

  -> SOSI

  -> PCIDSK

  -> netCDF

  -> JP2OpenJPEG

  -> PDF

  -> MBTiles

  -> EEDA

  -> DB2ODBC

  -> ESRI Shapefile

  -> MapInfo File

  -> UK .NTF

  -> OGR_SDTS

  -> S57

  -> DGN

  -> OGR_VRT

  -> REC

  -> Memory

  -> BNA

  -> CSV

  -> NAS

  -> GML

  -> GPX
  -> LIBKML

  -> KML

  -> GeoJSON

  -> GeoJSONSeq

  -> ESRIJSON

  -> TopoJSON

  -> Interlis 1

  -> Interlis 2

  -> OGR_GMT

  -> GPKG

  -> SQLite

  -> WAsP

  -> PGeo

  -> MSSQLSpatial

  -> OGR_OGDI

  -> PostgreSQL

  -> MySQL

  -> OpenFileGDB

  -> XPlane

  -> DXF

  -> CAD

  -> Geoconcept

  -> GeoRSS

  -> GPSTrackMaker

  -> VFK

  -> PGDUMP

  -> OSM

  -> GPSBabel

  -> SUA

  -> OpenAir

  -> OGR_PDS

  -> WFS

  -> WFS3

  -> HTF

  -> AeronavFAA

  -> Geomedia

  -> EDIGEO

  -> GFT

  -> SVG

  -> CouchDB

  -> Cloudant

  -> Idrisi

  -> ARCGEN

  -> SEGUKOOA

  -> SEGY

  -> XLS

  -> ODS

  -> XLSX

  -> ElasticSearch

  -> Walk

  -> Carto

  -> AmigoCloud

  -> SXF
  -> Selafin

  -> JML

  -> PLSCENES

  -> CSW

  -> VDV

  -> GMLAS

  -> MVT

  -> TIGER

  -> AVCBin

  -> AVCE00

  -> NGW

  -> HTTP

Files

INFRAESTRUCTURA_INEGI_2015.mdb 1.62 MB 2018-08-11 ROCCO ABEL LUCIANO RABILOTTA PISTERS
